Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Name:		evince
Version:	2.22.1
Release:	2
Summary:	Document viewer

License: 	GPL
Group:		Publishing
URL:		http://www.gnome.org/projects/evince/
Source0: 	http://download.gnome.org/sources/%{name}/2.22/%{name}-%{version}.tar.bz2
Patch0:		evince-0.6.0-print-error.patch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	gtk2+-devel
BuildRequires:	poppler-devel >= 0.6
BuildRequires:	libXt-devel
BuildRequires:	nautilus-devel
BuildRequires:	libgnomeprintui-devel
BuildRequires:	libgnomeui-devel
BuildRequires:	gnome-vfs-devel
BuildRequires:	libglade-devel
BuildRequires:	libtiff-devel
BuildRequires:	gnome-doc-utils
BuildRequires:	scrollkeeper
BuildRequires:	dbus-devel >= %{dbus_version}
BuildRequires:  gettext libspectre-devel
BuildRequires:  perl-XML-Parser

Requires(pre): GConf
Requires(post): GConf
Requires(post): scrollkeeper
Requires(post): desktop-file-utils
Requires(preun): GConf
Requires(postun): scrollkeeper
Requires(postun): desktop-file-utils

%description
evince is a GNOME-based document viewer.

%package devel
Summary: Libraries and headers for evince
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Libraries and header files for evince backend development.


%prep
%setup -q
%patch0 -p1 -b .print-error

%build
%configure --sysconfdir=%_sysconfdir/gnome --disable-scrollkeeper --localstatedir=/var/lib --with-print-gtk --enable-comics=yes
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --delete-original --vendor="" \
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications \
  --remove-category="Application" \
  $RPM_BUILD_ROOT%{_datadir}/applications/evince.desktop
 
%find_lang evince --with-gnome

unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
/bin/rm -rf $RPM_BUILD_ROOT/var/scrollkeeper

# don't ship icon caches
rm -f $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/icon-theme.cache

# we don't have a -devel package, so we don't need backend api docs
rm -rf $RPM_BUILD_ROOT%{_datadir}/gtk-doc

%clean
rm -rf $RPM_BUILD_ROOT


%pre
if [ "$1" -gt 1 ]; then
	export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
	gconftool-2 --makefile-uninstall-rule \
      		%{_sysconfdir}/gnome/gconf/schemas/evince.schemas \
      		%{_sysconfdir}/gnome/gconf/schemas/evince-thumbnailer.schemas \
		%{_sysconfdir}/gnome/gconf/schemas/evince-thumbnailer-comics.schemas \
			>/dev/null || :
fi


%post
/sbin/ldconfig
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
	%{_sysconfdir}/gnome/gconf/schemas/evince.schemas \
     	%{_sysconfdir}/gnome/gconf/schemas/evince-thumbnailer.schemas \
     	%{_sysconfdir}/gnome/gconf/schemas/evince-thumbnailer-ps.schemas \
	%{_sysconfdir}/gnome/gconf/schemas/evince-thumbnailer-comics.schemas \
		>/dev/null || :

update-desktop-database &> /dev/null ||:
scrollkeeper-update -q -o %{_datadir}/omf/%{name} || :

touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache -q %{_datadir}/icons/hicolor;
fi

%preun
if [ "$1" -eq 0 ]; then
	export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
	gconftool-2 --makefile-uninstall-rule \
      		%{_sysconfdir}/gnome/gconf/schemas/evince.schemas \
      		%{_sysconfdir}/gnome/gconf/schemas/evince-thumbnailer.schemas \
     		%{_sysconfdir}/gnome/gconf/schemas/evince-thumbnailer-ps.schemas \
		%{_sysconfdir}/gnome/gconf/schemas/evince-thumbnailer-comics.schemas \
			>/dev/null || :
fi


%postun
/sbin/ldconfig
update-desktop-database &> /dev/null ||:
scrollkeeper-update -q || :

touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache -q %{_datadir}/icons/hicolor;
fi


%files -f evince.lang
%defattr(-,root,root,-)
%doc README COPYING NEWS AUTHORS 
%{_bindir}/*
%{_libdir}/nautilus/extensions-2.0/libevince-properties-page.so
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_sysconfdir}/gnome/gconf/schemas/*.schemas
%{_datadir}/icons/hicolor/*/apps/evince.*
%{_mandir}/man1/evince.1.gz
%{_libdir}/libevbackend.so.*
%dir %{_libdir}/evince/backends
%{_libdir}/evince/backends/libpdfdocument.so
%{_libdir}/evince/backends/pdfdocument.evince-backend
%{_libdir}/evince/backends/libpsdocument.so
%{_libdir}/evince/backends/psdocument.evince-backend
%{_libdir}/evince/backends/libtiffdocument.so
%{_libdir}/evince/backends/tiffdocument.evince-backend
%{_libdir}/evince/backends/libcomicsdocument.so
%{_libdir}/evince/backends/comicsdocument.evince-backend
%{_libdir}/evince/backends/djvudocument.evince-backend
%{_libdir}/evince/backends/libdjvudocument.so

%files devel
%{_includedir}/evince-2.20
%{_libdir}/libevbackend.so
%{_libdir}/evince/backends/*.a
%{_libdir}/evince/backends/*.la
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/nautilus/extensions-2.0/*.a
%{_libdir}/nautilus/extensions-2.0/*.la

%changelog
* Mon Apr 21 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.1-2
- rebuild against poppler 0.8.0
* Tue Apr 08 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.1-1
- Version update
* Thu Mar 13 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.0-1
- Version update
* Tue Nov 27 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.2-1
- Version update
* Tue Oct 16 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.1-1
- Version update
* Sun Sep 30 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.0-1
- Version update
* Tue Mar 20 2007 Christian Metzen <metzench@ccux-linux.de> 0.8.0-1
- Version update
* Tue Jan 16 2007 Christian Metzen <metzench@ccux-linux.de> 0.7.1-1
- Version update
* Fri Nov 17 2006 Christian Metzen <metzench@ccux-linux.de> 0.6.1-1
- Initial release